#div-1 {
	background-color: green;
	/*div by default is display: block*/
	display: inline-block;
}
#span-1 {
	background-color: purple;
	/*span by default is display: inline*/
	display: inline-block;
	/*we cannot change its width and height*/
	width: 200px;
	height: 200px;
}
#div-2 {
	background-color: hotpink;
	display: none;
}
#span-2 {
	background-color: red;
	display: block;
}
#img {
	width: 250px;
	height: 250px;
	display: inline-block;
	/*img by default is display: inline-block*/
	/*we can change the width and height properties*/
	/*it will take the necessary*/
	
}
#p-1 {
	background-color: #B7CEFA;
}
#p-2 {
	background-color: rgb(255, 105, 180);
	width: 60%;
}
#p-3 {
	background-color: yellow;
	width: 40%;
}
.sample {
	display: inline-block;
	width: 30%;
	border: 1px solid black;
	text-align: center;

}
.img-float {
	width: 250px;
	height: 250px;
	float: right;
}
.box {
	background-color: red;
	border: 1px solid black;
	margin: 5px;

}
.fifty-percent {
	width: 50%;
}
.one-hundred-pixels {
	width: 100px;
}
.fifty-vw {
	width: 50vw;
}
.twenty-five-vh {
	height: 25vh;
}
.parent-element {
	width: 135px;
	border: 2px solid blue;
}
#img-puppy {
	height: 250px;
}

/*rem - relative to the root element*/
/*root element - HTML element*/
.one-rem {
	width: 1rem;
}
.two-rem {
	width: 2rem;
}
/*em - relative to the parent element*/
.one-em {
	width: 1em;
}

.two-em {
	width: 2em;
}
.background {
	min-height: 40rem;
/*	background-color: gray;*/
	/*hex = #808080*/
	/*rgb = (128,128,128) */
	background-image: url(https://c4.wallpaperflare.com/wallpaper/43/1003/707/anime-your-name-kimi-no-na-wa-mitsuha-miyamizu-wallpaper-preview.jpg) ;
	background-repeat: no-repeat;
	/*repeat, no-repeat, repeat-x, repeat-y, space, round*/
	background-size: 100%;
	/*auto, contain, conver, 100%, 60px*/
	background-position: center top;
  	/*10% 40%, 50px 100px, left bottom*/
  	background-attachment: scroll;
	/*scroll or fixed*/
}
.bg-title {
	color: white;
	text-align: center;
	font-size: 5em;
	margin: 0;
	line-height: 35rem;
}
.container-bg {
	background-color: rgba(0, 0, 0, 0.5);
	min-height: 100vh;
}
.parent {
	background-color: skyblue;
	padding: 10px;
	position: relative;

}
.child-one {
	background-color: gray;
	padding: 10px;
}
.child-two {
	background-color: yellow;
	padding: 10px;
	position: sticky; /*fixed, absolute*/
	top: 10px;
	bottom: 10px;
}
.child-three {
	background-color: gray;
	padding: 10px;
}
.container {
	position: relative;
}
.black-box {
	position: relative;
	z-index: 1;
	border: 2px solid black;
	height: 100px;
	margin: 30px;
}
.gray-box {
	position: absolute;
	z-index: 3;
	background-color: lightgray;
	height: 60px;
	width: 70px;
	left: 50px;
	top: 50px;
}
.green-box {
	position: absolute;
	z-index: 2;
	background-color: lightgreen;
	height: 100px;
	width: 25%;
	left: 15px;
	top: 100px;
}